Index: branches/network/src/story_entities/game_world.cc
===================================================================
--- branches/network/src/story_entities/game_world.cc	(revision 6360)
+++ branches/network/src/story_entities/game_world.cc	(revision 6361)
@@ -144,6 +144,6 @@
 {
   this->setClassID(CL_GAME_WORLD, "GameWorld");
-
   this->setName(name);
+
   this->gameTime = 0.0f;
   this->setSpeed(1.0);
Index: branches/network/src/story_entities/multi_player_world.cc
===================================================================
--- branches/network/src/story_entities/multi_player_world.cc	(revision 6360)
+++ branches/network/src/story_entities/multi_player_world.cc	(revision 6361)
@@ -25,14 +25,9 @@
 
 
-
-
-SHELL_COMMAND(speed, MultiPlayerWorld, setSpeed);
-SHELL_COMMAND(togglePNodeVisibility, MultiPlayerWorld, togglePNodeVisibility);
-SHELL_COMMAND(toggleBVVisibility, MultiPlayerWorld, toggleBVVisibility);
-
 using namespace std;
 
 //! This creates a Factory to fabricate a MultiPlayerWorld
-CREATE_FACTORY(MultiPlayerWorld, CL_WORLD);
+CREATE_FACTORY(MultiPlayerWorld, CL_MULTI_PLAYER_WORLD);
+
 
 MultiPlayerWorld::MultiPlayerWorld(const TiXmlElement* root)
@@ -44,4 +39,5 @@
 }
 
+
 /**
  *  remove the MultiPlayerWorld from memory
@@ -52,36 +48,7 @@
 MultiPlayerWorld::~MultiPlayerWorld ()
 {
-  delete this->shell;
   PRINTF(3)("MultiPlayerWorld::~MultiPlayerWorld() - deleting current world\n");
+}
 
-  delete this->localPlayer;
-
-  // delete all the initialized Engines.
-  FastFactory::flushAll(true);
-  delete LightManager::getInstance();
-  delete ParticleEngine::getInstance();
-  delete AnimationPlayer::getInstance();
-  delete PhysicsEngine::getInstance();
-
-  // external engines initialized by the orxonox-class get deleted
-  SoundEngine::getInstance()->flushAllBuffers();
-  SoundEngine::getInstance()->flushAllSources();
-
-  if (State::getObjectManager() == &this->objectManager)
-    State::setObjectManager(NULL);
-  // erease everything that is left.
-  delete PNode::getNullParent();
-
-  //secondary cleanup of PNodes;
-  const std::list<BaseObject*>* nodeList = ClassList::getList(CL_PARENT_NODE);
-  if (nodeList != NULL)
-    while (!nodeList->empty())
-      delete nodeList->front();
-
-  Shader::suspendShader();
-
-  // unload the resources !!
-  ResourceManager::getInstance()->unloadAllByPriority(RP_LEVEL);
-}
 
 /**
@@ -98,8 +65,7 @@
 void MultiPlayerWorld::constuctorInit(const char* name, int worldID)
 {
-  this->setClassID(CL_WORLD, "MultiPlayerWorld");
-  PRINTF(0)("START\n");
+  this->setClassID(CL_MULTI_PLAYER_WORLD, "MultiPlayerWorld");
+  this->setName(name);
 
-  this->setName(name);
   this->gameTime = 0.0f;
   this->setSpeed(1.0);
@@ -149,15 +115,4 @@
 
   /* the the single player specific stuff here */
-
-  /* some static world entities */
-  for(int i = 0; i < 100; i++)
-  {
-    WorldEntity* tmp = new NPCTest1();
-    char npcChar[10];
-    sprintf (npcChar, "NPC_%d", i);
-    tmp->setName(npcChar);
-    tmp->setAbsCoor(((float)rand()/RAND_MAX) * 5000, 50/*+ (float)rand()/RAND_MAX*20*/, ((float)rand()/RAND_MAX -.5) *30);
-    this->spawn(tmp);
-  }
 }
 
Index: branches/network/src/story_entities/multi_player_world.h
===================================================================
--- branches/network/src/story_entities/multi_player_world.h	(revision 6360)
+++ branches/network/src/story_entities/multi_player_world.h	(revision 6361)
@@ -12,9 +12,10 @@
 class TiXmlElement;
 
+
 //! The multiplayer game world
 /**
-   this class initializes everything that should be displayed inside of the current level.
-   it is the main driving factor during gameplay.
-*/
+ *  this class initializes everything that should be displayed inside of the current level.
+ *  it is the main driving factor during gameplay.
+ */
 class MultiPlayerWorld : public GameWorld {
 
@@ -28,4 +29,8 @@
   ErrorMessage load ();
   ErrorMessage postLoad();
+
+  private:
+    void constuctorInit(const char* name, int worldID);
+
 };
 
Index: branches/network/src/world_entities/camera.cc
===================================================================
--- branches/network/src/world_entities/camera.cc	(revision 6360)
+++ branches/network/src/world_entities/camera.cc	(revision 6361)
@@ -11,5 +11,5 @@
    ### File Specific:
    main-programmer: Christian Meyer
-   co-programmer: ...
+   co-programmer: Benjamin Grauer
 */
 #define DEBUG_SPECIAL_MODULE DEBUG_MODULE_WORLD_ENTITY
@@ -17,15 +17,7 @@
 #include "camera.h"
 
-#include "world.h"
-#include "world_entity.h"
-#include "vector.h"
-#include "event.h"
-#include "event_handler.h"
 
 using namespace std;
 
-////////////
-// CAMERA //
-////////////
 
 /**
@@ -58,6 +50,5 @@
 */
 Camera::~Camera()
-{
-}
+{}
 
 /**
@@ -115,41 +106,41 @@
   currentMode = mode;
   switch (mode)
-    {
+  {
     default:
     case VIEW_NORMAL:
       this->toFovy = 60.0;
-/*      this->setParentSoft("TrackNode");
-      this->target->setParentSoft("TrackNode"); */
+      /*      this->setParentSoft("TrackNode");
+            this->target->setParentSoft("TrackNode"); */
       this->setRelCoorSoft(-10, 5, 0);
       this->target->setRelCoorSoft(0,0,0);
       break;
     case VIEW_BEHIND:
-//      this->toFovy = 120.0;
-//      this->setRelCoorSoft(Vector(3.5, 0, 0));
-  //    this->target->setRelCoorSoft(Vector(10,0,0));
-
-//       if (!strcmp(this->target->getParent()->getName(), "Player"))
-//         this->target->setParentSoft("TrackNode");
-//       else
-//         this->target->setParentSoft("Player");
-//       this->getParent()->debugNode(0);
-
-//      this->setParent("main-Turret");
-//      this->setParentMode(PNODE_ALL);
-//      this->target->setParentSoft("Player");
+      //      this->toFovy = 120.0;
+      //      this->setRelCoorSoft(Vector(3.5, 0, 0));
+      //    this->target->setRelCoorSoft(Vector(10,0,0));
+
+      //       if (!strcmp(this->target->getParent()->getName(), "Player"))
+      //         this->target->setParentSoft("TrackNode");
+      //       else
+      //         this->target->setParentSoft("Player");
+      //       this->getParent()->debugNode(0);
+
+      //      this->setParent("main-Turret");
+      //      this->setParentMode(PNODE_ALL);
+      //      this->target->setParentSoft("Player");
 
       break;
     case VIEW_FRONT:
       this->toFovy = 120.0;
-/*       this->setParentSoft("Player");
-       this->target->setParentSoft("Player");*/
-       this->setRelCoorSoft(4, 0, 0, 5);
-       this->target->setRelCoorSoft(Vector(10,0,0), 5);
-//      this->target->setRelDirSoft(Quaternion(M_PI/4.0, Vector(0,1,0)));
+      /*       this->setParentSoft("Player");
+             this->target->setParentSoft("Player");*/
+      this->setRelCoorSoft(4, 0, 0, 5);
+      this->target->setRelCoorSoft(Vector(10,0,0), 5);
+      //      this->target->setRelDirSoft(Quaternion(M_PI/4.0, Vector(0,1,0)));
       break;
     case VIEW_LEFT:
       this->toFovy = 90;
-/*      this->setParentSoft("TrackNode");
-      this->target->setParentSoft("TrackNode");*/
+      /*      this->setParentSoft("TrackNode");
+            this->target->setParentSoft("TrackNode");*/
       this->setRelCoorSoft(0, 1, -10, .5);
       this->target->setRelCoorSoft(0,0,0);
@@ -157,6 +148,6 @@
     case VIEW_RIGHT:
       this->toFovy = 90;
-/*      this->setParentSoft("TrackNode");
-      this->target->setParentSoft("TrackNode");*/
+      /*      this->setParentSoft("TrackNode");
+            this->target->setParentSoft("TrackNode");*/
       this->setRelCoorSoft(Vector(0, 1, 10));
       this->target->setRelCoorSoft(0,0,0);
@@ -164,9 +155,9 @@
     case VIEW_TOP:
       this->toFovy= 120;
-/*      this->setParentSoft("TrackNode");
-      this->target->setParentSoft("TrackNode");*/
+      /*      this->setParentSoft("TrackNode");
+            this->target->setParentSoft("TrackNode");*/
       this->setRelCoorSoft(Vector(30, 50, 0));
       this->target->setRelCoorSoft(35,0,0);
-    }
+  }
 }
 
@@ -216,5 +207,5 @@
   // switching back to Modeling Matrix
   glMatrixMode (GL_MODELVIEW);
-//  this->target->getParent()->getParent()->debugDraw(0, 2, Vector(1,0,0));
+  //  this->target->getParent()->getParent()->debugDraw(0, 2, Vector(1,0,0));
 }
 
@@ -226,27 +217,27 @@
 {
   if( event.type == KeyMapper::PEV_VIEW0)
-    {
-      this->setViewMode(VIEW_NORMAL);
-    }
+  {
+    this->setViewMode(VIEW_NORMAL);
+  }
   else if( event.type == KeyMapper::PEV_VIEW1)
-    {
-      this->setViewMode(VIEW_BEHIND);
-    }
+  {
+    this->setViewMode(VIEW_BEHIND);
+  }
   else if( event.type == KeyMapper::PEV_VIEW2)
-    {
-      this->setViewMode(VIEW_FRONT);
-    }
+  {
+    this->setViewMode(VIEW_FRONT);
+  }
   else if( event.type == KeyMapper::PEV_VIEW3)
-    {
-      this->setViewMode(VIEW_LEFT);
-    }
+  {
+    this->setViewMode(VIEW_LEFT);
+  }
   else if( event.type == KeyMapper::PEV_VIEW4)
-    {
-      this->setViewMode(VIEW_RIGHT);
-    }
+  {
+    this->setViewMode(VIEW_RIGHT);
+  }
   else if( event.type == KeyMapper::PEV_VIEW5)
-    {
-      this->setViewMode(VIEW_TOP);
-    }
+  {
+    this->setViewMode(VIEW_TOP);
+  }
 }
 
@@ -260,5 +251,5 @@
 {
   this->setClassID(CL_CAMERA_TARGET, "CameraTarget");
-//  this->setParentMode(PNODE_MOVEMENT);
-}
-
+  //  this->setParentMode(PNODE_MOVEMENT);
+}
+