Index: branches/network/src/story_entities/game_world.h
===================================================================
--- branches/network/src/story_entities/game_world.h	(revision 6364)
+++ branches/network/src/story_entities/game_world.h	(revision 6365)
@@ -38,7 +38,7 @@
 
     /* classes from story-entity */
-    ErrorMessage preLoad();
-    ErrorMessage load ();
-    ErrorMessage postLoad();
+    virtual ErrorMessage preLoad();
+    virtual ErrorMessage load ();
+    virtual ErrorMessage postLoad();
 
     virtual ErrorMessage preStart();
Index: branches/network/src/story_entities/multi_player_world.cc
===================================================================
--- branches/network/src/story_entities/multi_player_world.cc	(revision 6364)
+++ branches/network/src/story_entities/multi_player_world.cc	(revision 6365)
@@ -92,39 +92,2 @@
 }
 
-
-
-/**
- * this is executed just before load
- *
- * since the load function sometimes needs data, that has been initialized
- * before the load and after the proceeding storyentity has finished
- */
-ErrorMessage MultiPlayerWorld::preLoad()
-{
-  static_cast<GameWorld*>(this)->preLoad();
-
-  /* the the single player specific stuff */
-}
-
-
-/**
- *  loads the MultiPlayerWorld by initializing all resources, and set their default values.
- */
-ErrorMessage MultiPlayerWorld::load()
-{
-  static_cast<GameWorld*>(this)->load();
-
-  /* the the single player specific stuff here */
-}
-
-
-/**
- *  post loads the MultiPlayerWorld by initializing all resources, and set their default values.
- */
-ErrorMessage MultiPlayerWorld::postLoad()
-{
-  static_cast<GameWorld*>(this)->postLoad();
-
-  /* the single player specific stuff here */
-}
-
Index: branches/network/src/story_entities/multi_player_world.h
===================================================================
--- branches/network/src/story_entities/multi_player_world.h	(revision 6364)
+++ branches/network/src/story_entities/multi_player_world.h	(revision 6365)
@@ -26,7 +26,4 @@
   void loadParams(const TiXmlElement* root);
 
-  ErrorMessage preLoad();
-  ErrorMessage load ();
-  ErrorMessage postLoad();
 
   private:
Index: branches/network/src/story_entities/single_player_world.cc
===================================================================
--- branches/network/src/story_entities/single_player_world.cc	(revision 6364)
+++ branches/network/src/story_entities/single_player_world.cc	(revision 6365)
@@ -95,47 +95,21 @@
 
 
-/**
- * this is executed just before load
- *
- * since the load function sometimes needs data, that has been initialized
- * before the load and after the proceeding storyentity has finished
- */
-ErrorMessage SinglePlayerWorld::preLoad()
-{
-  static_cast<GameWorld*>(this)->preLoad();
 
-  /* the the single player specific stuff */
-}
+// ErrorMessage SinglePlayerWorld::load()
+// {
+//   static_cast<GameWorld*>(this)->load();
+//
+//   /* the the single player specific stuff here */
+//
+//   /* some static world entities */
+//   for(int i = 0; i < 100; i++)
+//   {
+//     WorldEntity* tmp = new NPCTest1();
+//     char npcChar[10];
+//     sprintf (npcChar, "NPC_%d", i);
+//     tmp->setName(npcChar);
+//     tmp->setAbsCoor(((float)rand()/RAND_MAX) * 5000, 50/*+ (float)rand()/RAND_MAX*20*/, ((float)rand()/RAND_MAX -.5) *30);
+//     this->spawn(tmp);
+//   }
+// }
 
-
-/**
- *  loads the SinglePlayerWorld by initializing all resources, and set their default values.
- */
-ErrorMessage SinglePlayerWorld::load()
-{
-  static_cast<GameWorld*>(this)->load();
-
-  /* the the single player specific stuff here */
-
-  /* some static world entities */
-  for(int i = 0; i < 100; i++)
-  {
-    WorldEntity* tmp = new NPCTest1();
-    char npcChar[10];
-    sprintf (npcChar, "NPC_%d", i);
-    tmp->setName(npcChar);
-    tmp->setAbsCoor(((float)rand()/RAND_MAX) * 5000, 50/*+ (float)rand()/RAND_MAX*20*/, ((float)rand()/RAND_MAX -.5) *30);
-    this->spawn(tmp);
-  }
-}
-
-
-/**
- *  post loads the SinglePlayerWorld by initializing all resources, and set their default values.
- */
-ErrorMessage SinglePlayerWorld::postLoad()
-{
-  static_cast<GameWorld*>(this)->postLoad();
-
-  /* the single player specific stuff here */
-}
Index: branches/network/src/story_entities/single_player_world.h
===================================================================
--- branches/network/src/story_entities/single_player_world.h	(revision 6364)
+++ branches/network/src/story_entities/single_player_world.h	(revision 6365)
@@ -27,8 +27,4 @@
     void loadParams(const TiXmlElement* root);
 
-    ErrorMessage preLoad();
-    ErrorMessage load ();
-    ErrorMessage postLoad();
-
   private:
     void constuctorInit(const char* name, int worldID);