Index: branches/network/src/story_entities/campaign.cc
===================================================================
--- branches/network/src/story_entities/campaign.cc	(revision 6366)
+++ branches/network/src/story_entities/campaign.cc	(revision 6368)
@@ -52,4 +52,7 @@
 
 
+/**
+ *  initializes the class
+ */
 ErrorMessage Campaign::init()
 {
@@ -57,7 +60,8 @@
 }
 
-/**
-  \brief loads the Parameters of a Campaign
-* @param root: The XML-element to load from
+
+/**
+ *  loads the Parameters of a Campaign
+ * @param root: The XML-element to load from
  */
 void Campaign::loadParams(const TiXmlElement* root)
@@ -72,7 +76,8 @@
 }
 
-/**
-  \brief loads a WorldList
-* @param root: the XML-element to load from
+
+/**
+ *  loads a WorldList
+ * @param root: the XML-element to load from
  */
 void Campaign::loadWorldListParams(const TiXmlElement* root)
@@ -93,4 +98,7 @@
 }
 
+/**
+ *  starts the campaing
+ */
 ErrorMessage Campaign::start()
 {
@@ -98,5 +106,9 @@
 }
 
-//! @todo boky -> fix it
+
+/**
+ *  starts the campaing with a specific ID
+ * @param storyID the id of the StoryEntity
+ */
 ErrorMessage Campaign::start(int storyID = 0)
 {
@@ -127,5 +139,5 @@
       se = this->getStoryEntity(nextWorldID);
       this->currentEntity = se;
-      if( ( nextWorldID == WORLD_ID_GAMEEND) ||( se == NULL) )
+      if( ( nextWorldID == WORLD_ID_GAMEEND) || ( se == NULL) )
         {
           PRINTF(4)("Quitting campaing story loop\n");
@@ -148,4 +160,7 @@
 
 
+/**
+ *  pauses the campaing
+ */
 ErrorMessage Campaign::pause()
 {
Index: branches/network/src/story_entities/game_world.cc
===================================================================
--- branches/network/src/story_entities/game_world.cc	(revision 6366)
+++ branches/network/src/story_entities/game_world.cc	(revision 6368)
@@ -83,5 +83,17 @@
 GameWorld::GameWorld(const TiXmlElement* root)
 {
-  this->constuctorInit("", -1);
+  this->setClassID(CL_GAME_WORLD, "GameWorld");
+  this->setName("Preloaded World - no name yet");
+
+  this->gameTime = 0.0f;
+  this->setSpeed(1.0);
+  this->music = NULL;
+  this->shell = NULL;
+  this->localPlayer = NULL;
+  this->localCamera = NULL;
+
+  this->showPNodes = false;
+  this->showBV = false;
+
   this->path = NULL;
 
@@ -130,30 +142,5 @@
 }
 
-/**
- *  initializes the world.
- * @param name the name of the world
- * @param worldID the ID of this world
- *
- * set all stuff here that is world generic and does not use to much memory
- * because the real init() function StoryEntity::init() will be called
- * shortly before start of the game.
- * since all worlds are initiated/referenced before they will be started.
- * NO LEVEL LOADING HERE - NEVER!
-*/
-void GameWorld::constuctorInit(const char* name, int worldID)
-{
-  this->setClassID(CL_GAME_WORLD, "GameWorld");
-  this->setName(name);
-
-  this->gameTime = 0.0f;
-  this->setSpeed(1.0);
-  this->music = NULL;
-  this->shell = NULL;
-  this->localPlayer = NULL;
-  this->localCamera = NULL;
-
-  this->showPNodes = false;
-  this->showBV = false;
-}
+
 
 /**
@@ -174,4 +161,5 @@
     .describe("The Filename of this GameWorld (relative from the data-dir)");
 }
+
 
 /**
Index: branches/network/src/story_entities/game_world.h
===================================================================
--- branches/network/src/story_entities/game_world.h	(revision 6366)
+++ branches/network/src/story_entities/game_world.h	(revision 6368)
@@ -35,5 +35,4 @@
     void loadParams(const TiXmlElement* root);
 
-
     /* classes from story-entity */
     virtual ErrorMessage preLoad();
@@ -70,6 +69,4 @@
 
   protected:
-    virtual void constuctorInit(const char* name, int worldID);
-
     /* world - running functions */
     virtual void mainLoop ();
Index: branches/network/src/story_entities/multi_player_world.cc
===================================================================
--- branches/network/src/story_entities/multi_player_world.cc	(revision 6366)
+++ branches/network/src/story_entities/multi_player_world.cc	(revision 6368)
@@ -116,3 +116,110 @@
  */
 ErrorMessage MultiPlayerWorld::load()
-{}
+{
+
+  ////////////////////////////
+  // Loading Spawning Point //
+  ////////////////////////////
+//   element = root->FirstChildElement("SpawningPoints");
+//   if( element == NULL)
+//   {
+//     PRINTF(1)("NetworkWorld is missing 'SpawningPoints'\n");
+//   }
+//   else
+//   {
+//     element = element->FirstChildElement();
+//       // load Players/Objects/Whatever
+//     PRINTF(4)("Loading Spawning Points\n");
+//     while( element != NULL)
+//     {
+//       BaseObject* created = Factory::fabricate(element);
+//       if( created != NULL )
+//       {
+// //        if(created->isA(CL_SPAWNING_POINT))
+// //          this->spawn(dynamic_cast<WorldEntity*>(created));
+//         printf("Created a Spawning Point %s: %s\n", created->getClassName(), created->getName());
+//       }
+//
+//
+//       element = element->NextSiblingElement();
+//       glmis->step(); //! @todo temporary
+//     }
+//     PRINTF(4)("Done loading NetworkWorldEntities\n");
+//   }
+//
+//
+//   ////////////////////////
+//   // find WorldEntities //
+//   ////////////////////////
+//   element = root->FirstChildElement("WorldEntities");
+//   if( element == NULL)
+//   {
+//     PRINTF(1)("NetworkWorld is missing 'WorldEntities'\n");
+//   }
+//   else
+//   {
+//     element = element->FirstChildElement();
+//       // load Players/Objects/Whatever
+//     PRINTF(4)("Loading NetworkWorldEntities\n");
+//     while( element != NULL)
+//     {
+//       if( NetworkManager::getInstance()->isGameServer())
+//       {
+//
+//         BaseObject* created = NetworkGameManager::getInstance()->createEntity(element);
+//         if( created != NULL )
+//         {
+// //          if(created->isA(CL_WORLD_ENTITY))
+// //            this->spawn(dynamic_cast<WorldEntity*>(created));
+//           printf("Created a %s: %s\n", created->getClassName(), created->getName());
+//         }
+//         else
+//           PRINTF(1)("NetworkWorld: could not create this entity\n");
+//
+//           // if we load a 'Player' we use it as localPlayer
+//
+//
+//           //todo do this more elegant
+//         if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox"))
+//           sky = dynamic_cast<WorldEntity*>(created);
+//         if( element->Value() != NULL && !strcmp( element->Value(), "Terrain"))
+//         {
+//           terrain = dynamic_cast<Terrain*>(created);
+//           CDEngine::getInstance()->setTerrain(terrain);
+//
+//         }
+//
+//       }
+//       else if( /* !strcmp( element->Value(), "SkyBox") || */ /* !strcmp( element->Value(), "Terrain") || */ !strcmp( element->Value(), "SpaceShip"))
+//       {
+//         BaseObject* created = Factory::fabricate(element);
+//         if( created != NULL )
+//         {
+// //          if(created->isA(CL_WORLD_ENTITY))
+// //            this->spawn(dynamic_cast<WorldEntity*>(created));
+//           printf("Created a %s: %s\n", created->getClassName(), created->getName());
+//         }
+//         else
+//           PRINTF(1)("NetworkWorld: could not create this entity\n");
+//
+//           // if we load a 'Player' we use it as localPlayer
+//
+//
+//           //todo do this more elegant
+//         if( element->Value() != NULL && !strcmp( element->Value(), "SkyBox"))
+//           sky = dynamic_cast<WorldEntity*>(created);
+//         if( element->Value() != NULL && !strcmp( element->Value(), "Terrain"))
+//         {
+//           terrain = dynamic_cast<Terrain*>(created);
+//           CDEngine::getInstance()->setTerrain(terrain);
+//         }
+//       }
+//       element = element->NextSiblingElement();
+//       glmis->step(); //! @todo temporary
+//       PRINTF(4)("Done loading NetworkWorldEntities\n");
+//     }
+  }
+
+
+
+