Index: branches/network/src/story_entities/campaign.cc
===================================================================
--- branches/network/src/story_entities/campaign.cc	(revision 6370)
+++ branches/network/src/story_entities/campaign.cc	(revision 6371)
@@ -132,5 +132,4 @@
       se->preStart();
       se->start();
-      se->destroy();
 
       int nextWorldID = se->getNextStoryID();
@@ -189,5 +188,5 @@
 }
 
-
+/*
 ErrorMessage Campaign::destroy()
 {
@@ -198,5 +197,5 @@
       this->currentEntity = NULL;
     }
-}
+}*/
 
 
Index: branches/network/src/story_entities/campaign.h
===================================================================
--- branches/network/src/story_entities/campaign.h	(revision 6370)
+++ branches/network/src/story_entities/campaign.h	(revision 6371)
@@ -28,5 +28,4 @@
   virtual ErrorMessage resume();
   virtual ErrorMessage stop();
-  virtual ErrorMessage destroy();
 
   void addEntity(StoryEntity* se, int storyID);
Index: branches/network/src/story_entities/game_world.cc
===================================================================
--- branches/network/src/story_entities/game_world.cc	(revision 6370)
+++ branches/network/src/story_entities/game_world.cc	(revision 6371)
@@ -406,11 +406,4 @@
 }
 
-/**
- *  destroys the GameWorld
-*/
-ErrorMessage GameWorld::destroy()
-{
-
-}
 
 /**
Index: branches/network/src/story_entities/game_world.h
===================================================================
--- branches/network/src/story_entities/game_world.h	(revision 6370)
+++ branches/network/src/story_entities/game_world.h	(revision 6371)
@@ -44,5 +44,4 @@
     virtual ErrorMessage pause();
     virtual ErrorMessage resume();
-    virtual ErrorMessage destroy();
 
     virtual void displayLoadScreen();
Index: branches/network/src/story_entities/story_entity.cc
===================================================================
--- branches/network/src/story_entities/story_entity.cc	(revision 6370)
+++ branches/network/src/story_entities/story_entity.cc	(revision 6371)
@@ -23,5 +23,7 @@
 
 
-
+/**
+ * default constructor initializes all needed data
+ */
 StoryEntity::StoryEntity ()
 {
@@ -33,47 +35,8 @@
 }
 
+
+/** deconstructor
+ */
 StoryEntity::~StoryEntity () {}
 
 
-/**
-  *  sets the story ID
-
-    sets the story id of the current entity, this enables it to be identified in a
-    global context.
-*/
-void StoryEntity::setStoryID(int storyID)
-{
-  this->storyID = storyID;
-}
-
-
-/**
-  *  this reads the story id of the current entity
-  * @returns the story entity id
-*/
-int StoryEntity::getStoryID()
-{
-  return this->storyID;
-}
-
-
-/**
-  *  sets the id of the next story entity
-
-    StoryEntities can choose their following entity themselfs. the entity id defined here
-    will be startet after this entity ends. this can be convenient if you want to have a
-    non linear story with switches.
-*/
-void StoryEntity::setNextStoryID(int nextStoryID)
-{
-  this->nextStoryID = nextStoryID;
-}
-
-/**
-  *  gets the story id of the current entity
-  * @returns story id
-*/
-int StoryEntity::getNextStoryID()
-{
-  return this->nextStoryID;
-}
Index: branches/network/src/story_entities/story_entity.h
===================================================================
--- branches/network/src/story_entities/story_entity.h	(revision 6370)
+++ branches/network/src/story_entities/story_entity.h	(revision 6371)
@@ -20,42 +20,47 @@
 
   // INIT AND LOAD //
-  /** @brief initializes a Story Entity to default Values */
+  /** initializes a Story Entity to default Values */
   virtual ErrorMessage init() {};
-  /** @brief called before loading */
+  /** called before loading */
   virtual ErrorMessage preLoad() {};
-  /** @brief called to load. */
+  /** called to load. */
   virtual ErrorMessage load() {};
-  /** @brief called right after loading */
+  /** called right after loading */
   virtual ErrorMessage postLoad() {};
-  /** @brief called after postload to check for integrity. (optional) */
+  /** called after postload to check for integrity. (optional) */
   virtual ErrorMessage check() {};
 
   // RUNNING //
-  /** @brief called shortly before starting the Entity */
+  /** called shortly before starting the Entity */
   virtual ErrorMessage preStart() {};
-  /** @brief starts the Entity. Starts the main cycle */
+  /** starts the Entity. Starts the main cycle */
   virtual ErrorMessage start() = 0;
-  /** @brief pauses the Entity. call to resume required to get it running again */
+  /** pauses the Entity. call to resume required to get it running again */
   virtual ErrorMessage pause() = 0;
-  /** @brief resumes the Entity after a stop/pause or suspend. */
+  /** resumes the Entity after a stop/pause or suspend. */
   virtual ErrorMessage resume() = 0;
-  /** @brief suspends the Entity detaches all mayor functions  (optional) */
+  /** suspends the Entity detaches all mayor functions  (optional) */
   virtual ErrorMessage suspend() {};
-  /** @brief rewinds to the beginning/last checkpoint */
+  /** rewinds to the beginning/last checkpoint */
   virtual ErrorMessage rewind() {};
-  /** @brief leaves the Entity. Ends it */
+  /** leaves the Entity. Ends it */
   virtual ErrorMessage preStop() {};
-  /** @brief Stops the entity. */
+  /**  Stops the entity. */
   virtual ErrorMessage stop() = 0;
 
-  // KILLING
-  /** @brief kills the Entity. should also calls prestop stop */
-  virtual ErrorMessage destroy() {};
 
-  void setStoryID(int storyID);
-  int getStoryID();
+  /** sets the story id of the current entity, this enables it to be identified in a global context.  @param storyID the story id */
+  inline void setStoryID(int storyID) { this->storyID = storyID; }
+  /** sets the story id of the current entity, this enables it to be identified in a  global context. @returns  the story id  */
+  inline int getStoryID() { this->storyID = storyID; }
+  /**  sets the id of the next story entity: StoryEntities can choose their following entity themselfs.
+   * the entity id defined here  will be startet after this entity ends. this can be convenient if you
+   * want to have a non linear story with switches.
+   * @param nextStoryID the story id of the next StoryEntity   */
+  inline void setNextStoryID(int nextStoryID) { this->nextStoryID = nextStoryID; }
+  /**  gets the story id of the current entity @returns story id */
+  inline int getNextStoryID() { return this->nextStoryID; }
 
-  void setNextStoryID(int nextStoryID);
-  int getNextStoryID();
+
 
   protected: