Index: code/branches/presentation2/src/libraries/core/Game.cc
===================================================================
--- code/branches/presentation2/src/libraries/core/Game.cc	(revision 6377)
+++ code/branches/presentation2/src/libraries/core/Game.cc	(revision 6378)
@@ -143,5 +143,5 @@
             .description("Sets the time in microseconds interval at which average fps, etc. gets calculated.");
         SetConfigValue(fpsLimit_, 50)
-            .description("Sets the desired framerate (0 for no limit).");
+            .description("Sets the desired frame rate (0 for no limit).");
     }
 
Index: code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6377)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6378)
@@ -273,5 +273,5 @@
     void HUDNavigation::sizeChanged()
     {
-        // use size to compensate for apspect ratio if enabled.
+        // use size to compensate for aspect ratio if enabled.
         float xScale = this->getActualSize().x;
         float yScale = this->getActualSize().y;
Index: code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc	(revision 6377)
+++ code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc	(revision 6378)
@@ -29,6 +29,9 @@
 #include "Rocket.h"
 
+#include <BulletDynamics/Dynamics/btRigidBody.h>
+
+#include "core/CoreIncludes.h"
 #include "core/XMLPort.h"
-#include "BulletDynamics/Dynamics/btRigidBody.h"
+#include "worldentities/CameraPosition.h"
 #include "worldentities/pawns/Pawn.h"
 #include "graphics/ParticleSpawner.h"
@@ -37,6 +40,4 @@
 #include "infos/PlayerInfo.h"
 #include "controllers/Controller.h"
-#include "worldentities/CameraPosition.h"
-
 #include "sound/WorldSound.h"
 
Index: code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h	(revision 6377)
+++ code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h	(revision 6378)
@@ -31,4 +31,6 @@
 
 #include "weapons/WeaponsPrereqs.h"
+
+#include "tools/Timer.h"
 #include "worldentities/ControllableEntity.h"
 
Index: code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6377)
+++ code/branches/presentation2/src/orxonox/gamestates/GSMainMenu.cc	(revision 6378)
@@ -37,4 +37,5 @@
 #include "core/ConsoleCommand.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
 #include "core/GraphicsManager.h"
 #include "core/GUIManager.h"
Index: code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc
===================================================================
--- code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc	(revision 6377)
+++ code/branches/presentation2/src/orxonox/gamestates/GSRoot.cc	(revision 6378)
@@ -30,4 +30,5 @@
 
 #include "util/Clock.h"
+#include "core/BaseObject.h"
 #include "core/ConsoleCommand.h"
 #include "core/Game.h"
@@ -58,6 +59,7 @@
     {
         unsigned int nr=0;
-        for(ObjectList<BaseObject>::iterator it = ObjectList<BaseObject>::begin(); it; ++it){
-            if( dynamic_cast<Synchronisable*>(*it) )
+        for (ObjectList<BaseObject>::iterator it = ObjectList<BaseObject>::begin(); it; ++it)
+        {
+            if (dynamic_cast<Synchronisable*>(*it))
                 COUT(0) << "object: " << it->getIdentifier()->getName() << " id: " << dynamic_cast<Synchronisable*>(*it)->getObjectID() << std::endl;
             else
@@ -66,5 +68,4 @@
         }
         COUT(0) << "currently got " << nr << " objects" << std::endl;
-    
     }
 
Index: code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6377)
+++ code/branches/presentation2/src/orxonox/sound/SoundBuffer.cc	(revision 6378)
@@ -35,5 +35,4 @@
 #include "util/Exception.h"
 #include "util/StringUtils.h"
-#include "core/Resource.h"
 #include "sound/SoundManager.h"
 
Index: code/branches/presentation2/src/orxonox/sound/SoundBuffer.h
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundBuffer.h	(revision 6377)
+++ code/branches/presentation2/src/orxonox/sound/SoundBuffer.h	(revision 6378)
@@ -31,5 +31,8 @@
 
 #include "OrxonoxPrereqs.h"
+
+#include <list>
 #include <boost/shared_ptr.hpp>
+#include "core/Resource.h"
 
 namespace orxonox
Index: code/branches/presentation2/src/orxonox/sound/SoundManager.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6377)
+++ code/branches/presentation2/src/orxonox/sound/SoundManager.cc	(revision 6378)
@@ -39,4 +39,5 @@
 #include "util/Clock.h"
 #include "core/ConfigValueIncludes.h"
+#include "core/CoreIncludes.h"
 #include "core/GameMode.h"
 #include "core/ScopedSingletonManager.h"
Index: code/branches/presentation2/src/orxonox/sound/SoundStreamer.cc
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundStreamer.cc	(revision 6377)
+++ code/branches/presentation2/src/orxonox/sound/SoundStreamer.cc	(revision 6378)
@@ -26,7 +26,8 @@
  */
 #include "SoundStreamer.h"
-#include "SoundManager.h"
+
 #include <al.h>
 #include <vorbis/vorbisfile.h>
+#include "SoundManager.h"
 
 namespace orxonox
Index: code/branches/presentation2/src/orxonox/sound/SoundStreamer.h
===================================================================
--- code/branches/presentation2/src/orxonox/sound/SoundStreamer.h	(revision 6377)
+++ code/branches/presentation2/src/orxonox/sound/SoundStreamer.h	(revision 6378)
@@ -33,4 +33,5 @@
 #include <string>
 #include <OgreDataStream.h>
+#include "core/CorePrereqs.h"
 
 namespace orxonox