Index: branches/network/src/util/loading/game_loader.cc
===================================================================
--- branches/network/src/util/loading/game_loader.cc	(revision 6347)
+++ branches/network/src/util/loading/game_loader.cc	(revision 6386)
@@ -61,17 +61,4 @@
 }
 
-
-/**
- *  this class is a singleton class
- * @returns an instance of itself
- *
- * if you are unsure about singleton classes, check the theory out on the internet :)
- */
-GameLoader* GameLoader::getInstance()
-{
-  if(singletonRef == NULL)
-    singletonRef = new GameLoader();
-  return singletonRef;
-}
 
 /**
@@ -124,5 +111,5 @@
   if (campaignName)
   {
-    this->currentCampaign = this->fileToNetworkCampaign(campaignName);
+    this->currentCampaign = this->fileToCampaign(campaignName);
     delete[] campaignName;
   }
@@ -225,13 +212,4 @@
 
 /**
- *  release the mem ATTENTION: not implemented
- */
-ErrorMessage GameLoader::destroy()
-{
-
-}
-
-
-/**
  *  reads a campaign definition file into a campaign class
  * @param fileName to be loaded
@@ -285,55 +263,4 @@
 
 
-/**
- *  reads a campaign definition file into a campaign class
- * @param fileName to be loaded
- * @returns the loaded campaign
- *
- *  this will interprete the map/campaign files and recursivly load a tree of worlds/campaigns
- */
-Campaign* GameLoader::fileToNetworkCampaign(const char* fileName)
-{
-  /* do not entirely load the campaign. just the current world
-  before start of each world, it has to be initialized so it
-  can load everything it needs into memory then.
-  */
-
-  if( fileName == NULL)
-  {
-    PRINTF(2)("No filename specified for loading");
-    return NULL;
-  }
-
-  TiXmlDocument* XMLDoc = new TiXmlDocument( fileName);
-  // load the campaign document
-  if( !XMLDoc->LoadFile())
-  {
-      // report an error
-    PRINTF(1)("Could not load XML File %s: %s @ %d:%d\n", fileName, XMLDoc->ErrorDesc(), XMLDoc->ErrorRow(), XMLDoc->ErrorCol());
-    delete XMLDoc;
-    return NULL;
-  }
-
-  // check basic validity
-  TiXmlElement* root = XMLDoc->RootElement();
-  assert( root != NULL);
-
-  if( strcmp( root->Value(), "Campaign"))
-  {
-      // report an error
-    PRINTF(2)("Specified XML File is not an orxonox campaign file (Campaign element missing)\n");
-    delete XMLDoc;
-    return NULL;
-  }
-
-  // construct campaign
-  Campaign* c = new Campaign( root);
-
-  // free the XML data
-  delete XMLDoc;
-
-  return c;
-}
-
 
 /**
@@ -347,12 +274,5 @@
     if( likely(event.bPressed))
     {
-      this->nextLevel();
-    }
-  }
-  else if( event.type == KeyMapper::PEV_PREVIOUS_WORLD)
-  {
-    if( likely(event.bPressed))
-    {
-      this->previousLevel();
+      this->switchToNextLevel();
     }
   }
@@ -377,21 +297,11 @@
 
 /**
- *  \brief this changes to the next level
- */
-void GameLoader::nextLevel()
-{
-  if(this->currentCampaign != NULL)
-    this->currentCampaign->nextLevel();
-}
-
-
-/**
- *  change to the previous level - not implemented
- *
- * this propably useless
- */
-void GameLoader::previousLevel()
-{
-  if(this->currentCampaign != NULL)
-    this->currentCampaign->previousLevel();
-}
+ *  this changes to the next level
+ */
+void GameLoader::switchToNextLevel()
+{
+  if(this->currentCampaign != NULL)
+    this->currentCampaign->switchToNextLevel();
+}
+
+
Index: branches/network/src/util/loading/game_loader.h
===================================================================
--- branches/network/src/util/loading/game_loader.h	(revision 6347)
+++ branches/network/src/util/loading/game_loader.h	(revision 6386)
@@ -41,6 +41,10 @@
  public:
   ~GameLoader ();
+  /**  this class is a singleton class @returns an instance of itself  */
+  static GameLoader* getInstance() { if(singletonRef == NULL) singletonRef = new GameLoader(); return singletonRef; }
 
-  static GameLoader* getInstance();
+  ErrorMessage loadCampaign(const char* name);
+  ErrorMessage loadDebugCampaign(Uint32 campaignID);
+  ErrorMessage loadNetworkCampaign(const char* fileName);
 
   ErrorMessage init();
@@ -49,12 +53,6 @@
   ErrorMessage pause();
   ErrorMessage resume();
-  ErrorMessage destroy();
 
-  ErrorMessage loadCampaign(const char* name);
-  ErrorMessage loadDebugCampaign(Uint32 campaignID);
-  ErrorMessage loadNetworkCampaign(const char* fileName);
-
-  void nextLevel();
-  void previousLevel();
+  void switchToNextLevel();
 
   void process(const Event &event);
@@ -65,5 +63,4 @@
 
   Campaign* fileToCampaign(const char* name);
-  Campaign* fileToNetworkCampaign(const char* fileName);
 
 