Index: code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6387)
@@ -45,5 +45,5 @@
     {
     }
-    
+
     void EventTarget::XMLPort(Element& xmlelement, XMLPort::Mode mode)
     {
@@ -72,5 +72,5 @@
     {
         this->target_ = name;
-        
+
         for (ObjectList<BaseObject>::iterator it = ObjectList<BaseObject>::begin(); it != ObjectList<BaseObject>::end(); ++it)
             if (it->getName() == this->target_)
Index: code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.h
===================================================================
--- code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.h	(revision 6383)
+++ code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.h	(revision 6387)
@@ -42,7 +42,7 @@
             EventTarget(BaseObject* creator);
             virtual ~EventTarget();
-            
+
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode);
-            
+
             virtual void processEvent(Event& event);
 
@@ -54,5 +54,5 @@
             virtual void loadedNewXMLName(BaseObject* object);
             void addEventTarget(BaseObject* object);
-            
+
             std::string target_;
             bool bActive_;
Index: code/branches/presentation2/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6387)
@@ -62,5 +62,5 @@
     {
         SUPER(GUIOverlay, changedVisibility);
-        
+
         //Setting player now.
         if( this->getOwner() )
Index: code/branches/presentation2/src/modules/overlays/hud/UnderAttackHealthBar.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/overlays/hud/UnderAttackHealthBar.cc	(revision 6387)
@@ -94,9 +94,9 @@
         }
     }
-    
+
     void UnderAttackHealthBar::changedOverlayGroup()
     {
         SUPER(UnderAttackHealthBar, changedOverlayGroup);
-        
+
         this->getOverlayGroup()->addElement(this->text_.get());
     }
Index: code/branches/presentation2/src/modules/overlays/stats/CreateLines.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/stats/CreateLines.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/overlays/stats/CreateLines.cc	(revision 6387)
@@ -94,5 +94,5 @@
         this->background_->changedVisibility();
     }
-    
+
     void CreateLines::setOverlayGroup( OverlayGroup* group )
     {
Index: code/branches/presentation2/src/modules/pong/Pong.cc
===================================================================
--- code/branches/presentation2/src/modules/pong/Pong.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/pong/Pong.cc	(revision 6387)
@@ -42,5 +42,5 @@
     CreateEventName(PongCenterpoint, right);
     CreateEventName(PongCenterpoint, left);
-    
+
     CreateUnloadableFactory(Pong);
 
@@ -164,5 +164,5 @@
             else if (player == this->getLeftPlayer())
                 this->center_->fireEvent(FireEventName(PongCenterpoint, left));
-            
+
             if (player)
                 this->gtinfo_->sendAnnounceMessage(player->getName() + " scored");
Index: code/branches/presentation2/src/modules/pong/PongAI.cc
===================================================================
--- code/branches/presentation2/src/modules/pong/PongAI.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/pong/PongAI.cc	(revision 6387)
@@ -131,5 +131,5 @@
                 this->bOscillationAvoidanceActive_ = false;
             }
-            
+
             // If the ball is close enough, calculate another random offset to accelerate the ball
             if (!this->bChangedRandomOffset_)
@@ -206,9 +206,9 @@
             // calculate the time until the ball reaches the other side
             float totaltime = (-position.x + dimension.x / 2 * sgn(velocity.x)) / velocity.x;
-            
+
             // calculate wall bounce position (four possible solutions of the equation: pos.z + vel.z*t + acc.z/2*t^2 = +/- dim.z/2)
             float bouncetime = totaltime;
             bool bUpperWall = false;
-            
+
             if (acceleration.z == 0)
             {
@@ -270,5 +270,5 @@
                 // ball bounces after <bouncetime> seconds, update the position and continue
                 velocity.z = velocity.z + acceleration.z * bouncetime;
-                
+
                 if (bUpperWall)
                 {
@@ -281,5 +281,5 @@
                     velocity.z = fabs(velocity.z) - fabs(randomErrorZ);
                 }
-                    
+
                 position.x = position.x + velocity.x * bouncetime + randomErrorX;
                 this->ballEndPosition_ = position.z;
Index: code/branches/presentation2/src/modules/pong/PongBall.cc
===================================================================
--- code/branches/presentation2/src/modules/pong/PongBall.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/pong/PongBall.cc	(revision 6387)
@@ -105,5 +105,5 @@
                         velocity.z = distance * distance * sgn(distance) * PongBall::MAX_REL_Z_VELOCITY * this->speed_;
                         acceleration = this->bat_[1]->getVelocity() * this->accelerationFactor_ * -1;
-                        
+
                         this->fireEvent();
                     }
Index: code/branches/presentation2/src/modules/questsystem/AddQuestHint.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/AddQuestHint.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/AddQuestHint.cc	(revision 6387)
@@ -71,5 +71,5 @@
 
         XMLPortParam(AddQuestHint, "hintId", setHintId, getHintId, xmlelement, mode);
-        
+
         COUT(3) << "New AddQuestHint, with target QuestHint {" << this->getHintId() << "}, created." << std::endl;
     }
@@ -90,5 +90,5 @@
             return false;
         }
-        
+
         this->hintId_ = id;
         return true;
Index: code/branches/presentation2/src/modules/questsystem/AddReward.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/AddReward.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/AddReward.cc	(revision 6387)
@@ -67,5 +67,5 @@
 
         XMLPortObject(AddReward, Rewardable, "", addRewardable, getRewardables, xmlelement, mode);
-        
+
         COUT(3) << "New AddReward, with " << this->rewards_.size() << " Rewardables created." << std::endl;
     }
@@ -104,5 +104,5 @@
     {
         COUT(3) << "AddReward on player: " << player << " ." << std::endl;
-        
+
         bool check = true;
         for ( std::list<Rewardable*>::iterator reward = this->rewards_.begin(); reward != this->rewards_.end(); ++reward )
@@ -110,5 +110,5 @@
             check = check && (*reward)->reward(player);
         }
-        
+
         COUT(3) << "Rewardable successfully added to player." << player << " ." << std::endl;
 
Index: code/branches/presentation2/src/modules/questsystem/ChangeQuestStatus.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/ChangeQuestStatus.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/ChangeQuestStatus.cc	(revision 6387)
@@ -83,5 +83,5 @@
             return false;
         }
-        
+
         this->questId_ = id;
         return true;
Index: code/branches/presentation2/src/modules/questsystem/CompleteQuest.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/CompleteQuest.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/CompleteQuest.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -67,5 +67,5 @@
     {
         SUPER(CompleteQuest, XMLPort, xmlelement, mode);
-        
+
         COUT(3) << "New CompleteQuest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
Index: code/branches/presentation2/src/modules/questsystem/FailQuest.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/FailQuest.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/FailQuest.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -67,5 +67,5 @@
     {
         SUPER(FailQuest, XMLPort, xmlelement, mode);
-        
+
         COUT(3) << "New FailQUest, with target Quest {" << this->getQuestId() << "}, created." << std::endl;
     }
@@ -103,5 +103,5 @@
             return false;
         }
-        
+
         COUT(3) << "Quest {" << quest->getId() << "} failed by player: " << player << " ." << std::endl;
         return true;
Index: code/branches/presentation2/src/modules/questsystem/GlobalQuest.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/GlobalQuest.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/GlobalQuest.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -59,5 +59,5 @@
 
     }
-    
+
     /**
     @brief
@@ -67,10 +67,10 @@
     {
         SUPER(GlobalQuest, XMLPort, xmlelement, mode);
-        
+
         XMLPortObject(GlobalQuest, QuestEffect, "reward-effects", addRewardEffect, getRewardEffects, xmlelement, mode);
 
         COUT(3) << "New GlobalQuest {" << this->getId() << "} created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -89,7 +89,7 @@
             return false;
         }
-        
+
         Quest::fail(player);
-    
+
     //! Iterate through all players possessing this Quest.
     for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
@@ -118,5 +118,5 @@
             return false;
         }
-        
+
         //! Iterate through all players possessing the Quest.
         for(std::set<PlayerInfo*>::const_iterator it = players_.begin(); it != players_.end(); it++)
@@ -124,7 +124,7 @@
             QuestEffect::invokeEffects(*it, this->getCompleteEffectList());
         }
-    
+
         Quest::complete(player);
-    
+
         QuestEffect::invokeEffects(player, this->rewards_); //!< Invoke reward QuestEffects on the player completing the Quest.
         return true;
@@ -230,9 +230,9 @@
             this->players_.insert(player); //!< Add the player to the set.
         }
-        
+
         this->status_ = status; //!< Set the status, which is global, remember...?
         return true;
     }
-    
+
     /**
     @brief
@@ -256,5 +256,5 @@
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/presentation2/src/modules/questsystem/LocalQuest.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/LocalQuest.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/LocalQuest.cc	(revision 6387)
@@ -87,7 +87,7 @@
             return false;
         }
-        
+
         Quest::fail(player);
-        
+
         QuestEffect::invokeEffects(player, this->getFailEffectList()); //!< Invoke the failEffects.
         return true;
@@ -110,7 +110,7 @@
             return false;
         }
-        
+
         Quest::complete(player);
-        
+
         QuestEffect::invokeEffects(player, this->getCompleteEffectList()); //!< Invoke the complete QuestEffects.
         return true;
@@ -188,5 +188,5 @@
             return it->second;
         }
-        
+
         return QuestStatus::Inactive; //!< If the player is not yet in the map, that means the status of the quest form him is 'inactive'.
     }
@@ -209,5 +209,5 @@
             return false;
         }
-        
+
         this->playerStatus_[player] = status;
         return true;
Index: code/branches/presentation2/src/modules/questsystem/Quest.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/Quest.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/Quest.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -204,5 +204,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all subquests.
         for (std::list<Quest*>::const_iterator subQuest = this->subQuests_.begin(); subQuest != this->subQuests_.end(); ++subQuest)
@@ -214,5 +214,5 @@
             i--;
         }
-        
+
         return NULL; //!< If the index is greater than the number of elements in the list.
     }
@@ -229,5 +229,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all QuestHints.
         for (std::list<QuestHint*>::const_iterator hint = this->hints_.begin(); hint != this->hints_.end(); ++hint)
@@ -253,5 +253,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all fail QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->failEffects_.begin(); effect != this->failEffects_.end(); ++effect)
@@ -277,5 +277,5 @@
     {
         int i = index;
-        
+
         //! Iterate through all complete QuestEffects.
         for (std::list<QuestEffect*>::const_iterator effect = this->completeEffects_.begin(); effect != this->completeEffects_.end(); ++effect)
@@ -350,5 +350,5 @@
         return this->getStatus(player) == QuestStatus::Completed;
     }
-    
+
     /**
     @brief
@@ -363,11 +363,11 @@
         QuestListener::advertiseStatusChange(this->listeners_, "fail"); //!< Tells the QuestListeners, that the status has changed to failed.
         this->setStatus(player, QuestStatus::Failed);
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is failed for player: " << player << " ." <<std::endl;
-        
+
         this->getDescription()->sendFailQuestNotification();
         return true;
     }
-    
+
     /**
     @brief
@@ -382,7 +382,7 @@
         QuestListener::advertiseStatusChange(this->listeners_, "complete"); //!< Tells the QuestListeners, that the status has changed to completed.
         this->setStatus(player, QuestStatus::Completed);
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is completed for player: " << player << " ." <<std::endl;
-        
+
         this->getDescription()->sendCompleteQuestNotification();
         return true;
@@ -404,15 +404,15 @@
             return false;
         }
-        
+
         COUT(4) << "Quest {" << this->getId() << "} is started for player: " << player << " ." <<std::endl;
-        
+
         QuestListener::advertiseStatusChange(this->listeners_, "start"); //!< Tells the QuestListeners, that the status has changed to active.
-        
+
         this->setStatus(player, QuestStatus::Active);
-        
+
         this->getDescription()->sendAddQuestNotification();
         return true;
     }
-    
+
     /**
     @brief
@@ -430,5 +430,5 @@
             return false;
         }
-        
+
         this->listeners_.push_back(listener);
         return true;
Index: code/branches/presentation2/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6387)
@@ -50,5 +50,5 @@
     {
         RegisterObject(QuestDescription);
-        
+
         this->title_ = "";
         this->description_ = "";
@@ -79,5 +79,5 @@
         COUT(3) << "New QuestDescription with title '" << this->getTitle() << "' created." << std::endl;
     }
-    
+
     /**
     @brief
@@ -124,5 +124,5 @@
             return false;
         }
-        
+
         QuestNotification* notification = new QuestNotification(message);
         notification->send();
Index: code/branches/presentation2/src/modules/questsystem/QuestEffect.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestEffect.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestEffect.cc	(revision 6387)
@@ -69,5 +69,5 @@
     {
         bool check = true;
-        
+
         COUT(4) << "Invoking QuestEffects on player: " << player << " ."  << std::endl;
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUI.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUI.cc	(revision 6387)
@@ -77,5 +77,5 @@
         }
         this->windows_.clear();
-        
+
         if(this->root_ != NULL)
             this->root_->destroy();
@@ -104,5 +104,5 @@
 
         this->clear(); //!< Clear the GUI.
-        
+
         int depth = 0;
         int index = 0;
@@ -235,5 +235,5 @@
 
         this->nodes_.insert(std::pair<CEGUI::Window*, QuestGUINode*>(node->getWindow(),node)); //!< Insert the node and its window in the nodes_ map.
-        
+
         index++;
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUI.h
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUI.h	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUI.h	(revision 6387)
@@ -56,5 +56,5 @@
 
         public:
-        
+
             QuestGUI(PlayerInfo* player);
             virtual ~QuestGUI();
@@ -86,7 +86,7 @@
             inline PlayerInfo* getPlayer(void)
                 { return this->player_; }
-    
+
         private:
-            
+
             int createNode(QuestGUINode* parent, QuestItem* item, int depth, int index); //!< Recursive method to create Nodes for all Quests an Hints the given Quest is a parent to.
 
Index: code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6387)
@@ -119,5 +119,5 @@
     void QuestGUINode::toggleVisibility(void)
     {
-        
+
     }
 
@@ -209,5 +209,5 @@
                 offset += height;
             }
-            
+
             //! Create title pane for the description.
             stream.str("");
@@ -282,5 +282,5 @@
     {
         COUT(3) << "Open QuestItem..." << std::endl;
-        
+
         //CEGUI::Window* window = this->gui_->getRootWindow();
         CEGUI::Window* window = this->gui_->getWindowManager()->getWindow("orxonox/QuestGUI/Background");
@@ -344,5 +344,5 @@
         //! Set the height to the window.
         window->setHeight(CEGUI::UDim(0, height));
-        
+
         //Debug
         const CEGUI::Rect newArea = getStaticTextArea(window);
@@ -368,5 +368,5 @@
     {
         Quest* quest = dynamic_cast<Quest*>(this->item_);
-        
+
         this->window_ = this->gui_->getWindow();
         std::ostringstream stream;
@@ -377,5 +377,5 @@
         }
         stream << this->index_;
-        
+
         this->window_->rename(stream.str());
         this->window_->setText(this->item_->getDescription()->getTitle());
Index: code/branches/presentation2/src/modules/questsystem/QuestGUINode.h
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUINode.h	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUINode.h	(revision 6387)
@@ -44,9 +44,9 @@
 
         public:
-    
+
             QuestGUINode(void);
             QuestGUINode(QuestGUI* gui, QuestGUINode* parent, QuestItem* item, int depth, int index);
             virtual ~QuestGUINode(void);
-    
+
             void toggleVisibility(void);
 
Index: code/branches/presentation2/src/modules/questsystem/QuestHint.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestHint.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestHint.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -71,5 +71,5 @@
 
         QuestManager::getInstance().registerHint(this); //!< Registers the QuestHint with the QuestManager.
-        
+
         COUT(3) << "New QuestHint {" << this->getId() << "} created." << std::endl;
     }
@@ -100,5 +100,5 @@
             return it->second;
         }
-        
+
         return QuestStatus::Inactive;
     }
@@ -119,5 +119,5 @@
             {
                 this->playerStatus_[player] = QuestHintStatus::Active;
-                
+
                 this->getDescription()->sendAddHintNotification();
                 return true;
@@ -129,5 +129,5 @@
             }
         }
-        
+
         COUT(2) << "A hint of a non-active quest was trying to get activated." << std::endl;
         return false;
Index: code/branches/presentation2/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6387)
@@ -26,5 +26,5 @@
  *
  */
- 
+
 /**
     @file
@@ -86,5 +86,5 @@
             return;
         }
-        
+
         this->id_ = id;
     }
Index: code/branches/presentation2/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6387)
@@ -50,9 +50,9 @@
     {
         RegisterObject(QuestListener);
-        
+
         this->mode_ = QuestListenerMode::All;
         this->quest_ = NULL;
     }
-    
+
     /**
     @brief
@@ -62,5 +62,5 @@
     {
     }
-    
+
     /**
     @brief
@@ -75,8 +75,8 @@
 
         this->quest_->addListener(this); //!< Adds the QuestListener to the Quests list of listeners.
-        
+
         COUT(3) << "QuestListener created for quest: {" << this->quest_->getId() << "} with mode '" << this->getMode() << "'." << std::endl;
     }
-    
+
     /**
     @brief
@@ -98,5 +98,5 @@
         }
     }
-    
+
     /**
     @brief
@@ -110,5 +110,5 @@
     {
         this->quest_ = QuestManager::getInstance().findQuest(id); //!< Find the Quest corresponding to the given questId.
-        
+
         if(this->quest_ == NULL) //!< If there is no such Quest.
         {
@@ -116,8 +116,8 @@
             return false;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
@@ -152,8 +152,8 @@
         return false;
         }
-        
+
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/presentation2/src/modules/questsystem/QuestNotification.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6387)
@@ -38,13 +38,13 @@
         this->initialize();
     }
-    
+
     QuestNotification::QuestNotification(const std::string & message) : Notification(message)
     {
         this->initialize();
     }
-    
+
     QuestNotification::~QuestNotification()
     {
-        
+
     }
 
Index: code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6387)
@@ -49,5 +49,5 @@
         this->initialize();
     }
-    
+
     /**
     @brief
@@ -60,5 +60,5 @@
         this->message_ = message;
     }
-    
+
     /**
     @brief
@@ -68,5 +68,5 @@
     {
     }
-    
+
     /**
     @brief
@@ -79,5 +79,5 @@
         this->sent_ = false;
     }
-    
+
     /**
     @brief
@@ -90,5 +90,5 @@
         return this->send(NotificationManager::NONE);
     }
-    
+
     /**
     @brief
@@ -106,10 +106,10 @@
             return false;
         this->sent_ = true;
-        
+
         COUT(3) << "Notification \"" << this->getMessage() << "\" sent." << std::endl;
-        
+
         return true;
     }
-    
+
     /**
     @brief
Index: code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/weapons/projectiles/LightningGunProjectile.cc	(revision 6387)
@@ -43,17 +43,17 @@
         this->maxTextureIndex_ = 8;
         this->textureTimer_.setTimer(0.01f, true, createExecutor(createFunctor(&LightningGunProjectile::changeTexture, this)));
-        
+
         registerVariables();
     }
-    
+
     void LightningGunProjectile::registerVariables()
     {
         registerVariable(this->materialBase_);
     }
-    
+
     void LightningGunProjectile::setMaterial(const std::string& material)
     {
         this->materialBase_ = material;    
-    
+
         BillboardProjectile::setMaterial(material + multi_cast<std::string>(this->textureIndex_));
     }
@@ -64,5 +64,5 @@
         if (this->textureIndex_ > this->maxTextureIndex_)
             this->textureIndex_ = 1;
-        
+
         this->setMaterial(this->materialBase_);
     }
Index: code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc	(revision 6383)
+++ code/branches/presentation2/src/modules/weapons/projectiles/Rocket.cc	(revision 6387)
@@ -58,10 +58,10 @@
         this->bDestroy_ = false;
         this->lifetime_ = 100;
-        
+
         if (GameMode::isMaster())
         {
             this->setCollisionType(WorldEntity::Kinematic);
             this->setVelocity(0,0,-100);
-        
+
             Model* model = new Model(this);
             model->setMeshSource("rocket.mesh");
@@ -72,5 +72,5 @@
             fire->setOrientation(this->getOrientation());
             fire->setSource("Orxonox/rocketfire");
-        
+
             this->enableCollisionCallback();
             this->setCollisionResponse(false);
@@ -83,5 +83,5 @@
 
             this->destroyTimer_.setTimer(this->lifetime_, false, createExecutor(createFunctor(&Rocket::destroyObject, this)));
-            
+
             this->defSndWpnEngine_ = new WorldSound(this);
             this->defSndWpnEngine_->setLooping(true);
@@ -99,5 +99,5 @@
             this->defSndWpnLaunch_ = 0;
         }
-        
+
         CameraPosition* camPosition = new CameraPosition(this);
         camPosition->setPosition(0,4,15);
@@ -134,5 +134,5 @@
         SUPER(Rocket, XMLPort, xmlelement, mode);
     }
-    
+
     void Rocket::setOwner(Pawn* owner)
     {
@@ -158,5 +158,5 @@
     {
         SUPER(Rocket, tick, dt);
-        
+
         if( this->hasLocalController() )
         {
@@ -164,10 +164,10 @@
             this->setVelocity( this->getOrientation()*WorldEntity::FRONT*this->getVelocity().length() );
             this->localAngularVelocity_ = 0;
-            
+
             if( this->bDestroy_ )
                 this->destroy();
         }
     }
-    
+
     bool Rocket::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
@@ -176,5 +176,5 @@
             if (otherObject == this->owner_)
                 return false;
-            
+
             this->bDestroy_ = true;
 
@@ -211,5 +211,5 @@
         return false;
     }
-    
+
     void Rocket::destroyObject()
     {
@@ -223,5 +223,5 @@
         }
     }
-    
+
     void Rocket::fired(unsigned int firemode)
     {
@@ -258,5 +258,5 @@
     {
         ControllableEntity::rotateYaw(value);
-        
+
         if( !this->isInMouseLook() )
             this->localAngularVelocity_.y += value.x;
@@ -272,5 +272,5 @@
     {
         ControllableEntity::rotatePitch(value);
-        
+
         if( !this->isInMouseLook() )
             this->localAngularVelocity_.x += value.x;
@@ -286,8 +286,8 @@
     {
         ControllableEntity::rotateRoll(value);
-        
+
         if( !this->isInMouseLook() )
             this->localAngularVelocity_.z += value.x;
     }
-    
+
 }
Index: code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h
===================================================================
--- code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h	(revision 6383)
+++ code/branches/presentation2/src/modules/weapons/projectiles/Rocket.h	(revision 6387)
@@ -54,8 +54,8 @@
             virtual void XMLPort(Element& xmlelement, XMLPort::Mode mode); //!< Method for creating a Rocket through XML.
             virtual void tick(float dt); //!< Defines which actions the Rocket has to take in each tick.
-            
+
             virtual bool collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint);
             void destroyObject();
-            
+
             virtual void moveFrontBack(const Vector2& value){}
             virtual void moveRightLeft(const Vector2& value){}
@@ -65,5 +65,5 @@
             virtual void rotatePitch(const Vector2& value);
             virtual void rotateRoll(const Vector2& value);
-            
+
             /**
             @brief Moves the Rocket in the Front/Back-direction by the specifed amount.
@@ -84,5 +84,5 @@
             inline void moveUpDown(float value)
             { this->moveUpDown(Vector2(value, 0)); }
-            
+
             /**
             @brief Rotates the Rocket around the y-axis by the specifed amount.
@@ -103,9 +103,9 @@
             inline void rotateRoll(float value)
             { this->rotateRoll(Vector2(value, 0)); }
-            
+
             void setOwner(Pawn* owner);
             inline Pawn* getOwner() const
                 { return this->owner_; }
-                
+
             inline void setDamage(float damage)
                 { this->damage_ = damage; }
@@ -113,5 +113,5 @@
                 { return this->damage_; }
             virtual void fired(unsigned int firemode);
-            
+
         private:
             WeakPtr<Pawn> owner_;
@@ -120,5 +120,5 @@
             bool bDestroy_;
             ControllableEntity* originalControllableEntity_;
-            
+
             WeakPtr<PlayerInfo> player_;
             Timer destroyTimer_;